package _VisualDVM.Passes.All;
import _VisualDVM.Global;
import _VisualDVM.Passes.PassCode;
import _VisualDVM.Passes.Project.CurrentProjectPass;
import _VisualDVM.ProjectData.Project.db_project_info;

import java.util.Vector;
public class DeleteSubversions extends CurrentProjectPass {
    @Override
    public String getIconPath() {
        return "/Common/icons/Delete.png";
    }
    @Override
    protected void body() throws Exception {
        Vector<db_project_info> targets = new Vector<>(target.versions.values());
        for (db_project_info m : targets) {
            Global.mainModule.getPass(PassCode.DeleteVersion).Do(m);
        }
    }
}
